Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.WidgetAttribute

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.WidgetAttribute

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.WidgetAttribute

extends java.lang.Enum
implements QtEnumerator

This enum type is used to specify various widget attributes. Attributes are set and cleared with `QWidget::setAttribute()`, and queried with `QWidget::testAttribute()`, although some have special convenience functions which are mentioned below.

See Also:
  Serialized Form

Field Summary
`static Qt.WidgetAttribute` | `WA_AcceptDrops` Allows data from drag and drop operations to be dropped onto the widget (see `QWidget.:setAcceptDrops()`).
`static Qt.WidgetAttribute` | `WA_AlwaysShowToolTips` Enables tooltips for inactive windows.
`static Qt.WidgetAttribute` | `WA_AttributeCount`
`static Qt.WidgetAttribute` | `WA_CanHostQMdiSubWindowTitleBar`
`static Qt.WidgetAttribute` | `WA_ContentsPropagated` This flag is superfluous and obsolete; it no longer has any effect.
`static Qt.WidgetAttribute` | `WA_CustomWhatsThis` Indicates that the widget wants to continue operating normally in "What's This?" mode.
`static Qt.WidgetAttribute` | `WA_DeleteOnClose` Makes Qt delete this widget when the widget has accepted the close event (see `QWidget::closeEvent()`).
`static Qt.WidgetAttribute` | `WA_Disabled` Indicates that the widget is disabled, i.e.
`static Qt.WidgetAttribute` | `WA_DontCreateNativeAncestors` Indicates that the widget's ancestors are kept non-native even though the widget itself is native.
`static Qt.WidgetAttribute` | `WA_DontShowOnScreen`
`static Qt.WidgetAttribute` | `WA_DropSiteRegistered`
`static Qt.WidgetAttribute` | `WA_ForceDisabled` Indicates that the widget is explicitly disabled, i.e.
`static Qt.WidgetAttribute` | `WA_ForceUpdatesDisabled` Indicates that updates are explicitly disabled for the widget; i.e.
`static Qt.WidgetAttribute` | `WA_GrabbedShortcut`
`static Qt.WidgetAttribute` | `WA_GroupLeader` This attribute has been deprecated.
`static Qt.WidgetAttribute` | `WA_Hover` Forces Qt to generate paint events when the mouse enters or leaves the widget.
`static Qt.WidgetAttribute` | `WA_InputMethodEnabled` Enables input methods for Asian languages.
`static Qt.WidgetAttribute` | `WA_InputMethodTransparent`
`static Qt.WidgetAttribute` | `WA_InvalidSize`
`static Qt.WidgetAttribute` | `WA_KeyboardFocusChange` Set on a toplevel window when the users changes focus with the keyboard (tab, backtab, or shortcut).
`static Qt.WidgetAttribute` | `WA_KeyCompression` Enables key event compression if set, and disables it if not set.
`static Qt.WidgetAttribute` | `WA_LaidOut`
`static Qt.WidgetAttribute` | `WA_LayoutOnEntireRect` Indicates that the widget wants `QLayout` to operate on the entire `QWidget::rect()`, not only on `QWidget::contentsRect()`.
`static Qt.WidgetAttribute` | `WA_LayoutUsesWidgetRect` Ignore the layout item rect from the style when laying out this widget with `QLayout`.
`static Qt.WidgetAttribute` | `WA_MacAlwaysShowToolWindow` On Mac OS X, show the tool window even when the application is not active.
`static Qt.WidgetAttribute` | `WA_MacBrushedMetal` Indicates the widget should be drawn in the brushed metal style as supported by the windowing system.
`static Qt.WidgetAttribute` | `WA_MacMiniSize` Indicates the widget should have the mini size for widgets in Mac OS X.
`static Qt.WidgetAttribute` | `WA_MacNoClickThrough` Indicates that the window is only activated when clicked.
`static Qt.WidgetAttribute` | `WA_MacNormalSize` Indicates the widget should have the normal size for widgets in Mac OS X.
`static Qt.WidgetAttribute` | `WA_MacOpaqueSizeGrip` Indicates that the native Carbon size grip should be opaque instead of transparent (the default).
`static Qt.WidgetAttribute` | `WA_MacShowFocusRect` Indicates that this widget should get a `QFocusFrame` around it.
`static Qt.WidgetAttribute` | `WA_MacSmallSize` Indicates the widget should have the small size for widgets in Mac OS X.
`static Qt.WidgetAttribute` | `WA_MacVariableSize` Indicates the widget can choose between alternative sizes for widgets to avoid clipping.
`static Qt.WidgetAttribute` | `WA_Mapped` Indicates that the widget is mapped on screen.
`static Qt.WidgetAttribute` | `WA_MouseNoMask` Makes the widget receive mouse events for the entire widget regardless of the currently set mask, overriding `QWidget::setMask()`.
`static Qt.WidgetAttribute` | `WA_MouseTracking` Indicates that the widget has mouse tracking enabled.
`static Qt.WidgetAttribute` | `WA_Moved` Indicates that the widget has an explicit position.
`static Qt.WidgetAttribute` | `WA_MSWindowsUseDirect3D` Makes drawing to a widget with this attribute set use the `Direct3D` paint engine, if the `Direct3D` paint engine is available.
`static Qt.WidgetAttribute` | `WA_NativeWindow` Indicates that a native window is created for the widget.
`static Qt.WidgetAttribute` | `WA_NoChildEventsForParent` Indicates that the widget does not want `ChildAdded` or `ChildRemoved` events sent to its parent.
`static Qt.WidgetAttribute` | `WA_NoChildEventsFromChildren` Indicates that the widget does not want to receive `ChildAdded` or `ChildRemoved` events sent from its children.
`static Qt.WidgetAttribute` | `WA_NoMousePropagation` Prohibits mouse events from being propagated to the widget's parent.
`static Qt.WidgetAttribute` | `WA_NoMouseReplay` Used for pop-up widgets.
`static Qt.WidgetAttribute` | `WA_NoSystemBackground` Indicates that the widget has no background, i.e.
`static Qt.WidgetAttribute` | `WA_NoX11EventCompression`
`static Qt.WidgetAttribute` | `WA_OpaquePaintEvent` Indicates that the widget paints all its pixels when it receives a paint event.
`static Qt.WidgetAttribute` | `WA_OutsideWSRange` Indicates that the widget is outside the valid range of the window system's coordinate system.
`static Qt.WidgetAttribute` | `WA_PaintOnScreen` Indicates that the widget wants to draw directly onto the screen.
`static Qt.WidgetAttribute` | `WA_PaintOutsidePaintEvent` Makes it possible to use `QPainter` to paint on the widget outside `paintEvent()`.
`static Qt.WidgetAttribute` | `WA_PaintUnclipped` Makes all painters operating on this widget unclipped.
`static Qt.WidgetAttribute` | `WA_PendingMoveEvent` Indicates that a move event is pending, e.g.
`static Qt.WidgetAttribute` | `WA_PendingResizeEvent` Indicates that a resize event is pending, e.g.
`static Qt.WidgetAttribute` | `WA_PendingUpdate`
`static Qt.WidgetAttribute` | `WA_QuitOnClose` Makes Qt quit the application when the last widget with the attribute set has accepted `closeEvent()` .
`static Qt.WidgetAttribute` | `WA_Resized` Indicates that the widget has an explicit size.
`static Qt.WidgetAttribute` | `WA_RightToLeft` Indicates that the layout direction for the widget is right to left.
`static Qt.WidgetAttribute` | `WA_SetCursor` Indicates that the widget has a cursor of its own.
`static Qt.WidgetAttribute` | `WA_SetFont` Indicates that the widget has a font of its own.
`static Qt.WidgetAttribute` | `WA_SetLayoutDirection`
`static Qt.WidgetAttribute` | `WA_SetLocale` Indicates the local should be taken into consideration in the widget.
`static Qt.WidgetAttribute` | `WA_SetPalette` Indicates that the widget has a palette of its own.
`static Qt.WidgetAttribute` | `WA_SetStyle` Indicates that the widget has a style of its own.
`static Qt.WidgetAttribute` | `WA_SetWindowIcon`
`static Qt.WidgetAttribute` | `WA_ShowModal` This attribute has been deprecated.
`static Qt.WidgetAttribute` | `WA_ShowWithoutActivating` Show the widget without making it active.
`static Qt.WidgetAttribute` | `WA_StaticContents` Indicates that the widget contents are north-west aligned and static.
`static Qt.WidgetAttribute` | `WA_StyledBackground` Indicates the widget should be drawn using a styled background.
`static Qt.WidgetAttribute` | `WA_StyleSheet` Indicates that the widget is styled using a {@link | `static Qt.WidgetAttribute` | `WA_TintedBackground`
`static Qt.WidgetAttribute` | `WA_TransparentForMouseEvents`
`static Qt.WidgetAttribute` | `WA_UnderMouse` Indicates that the widget is under the mouse cursor.
`static Qt.WidgetAttribute` | `WA_UpdatesDisabled` Indicates that updates are blocked (including the system background).
`static Qt.WidgetAttribute` | `WA_WindowModified` Indicates that the window is marked as modified.
`static Qt.WidgetAttribute` | `WA_WindowPropagation` Makes a toplevel window inherit font and palette from its parent.
`static Qt.WidgetAttribute` | `WA_WState_CompressKeys`
`static Qt.WidgetAttribute` | `WA_WState_ConfigPending`
`static Qt.WidgetAttribute` | `WA_WState_Created`
`static Qt.WidgetAttribute` | `WA_WState_DND`
`static Qt.WidgetAttribute` | `WA_WState_ExplicitShowHide`
`static Qt.WidgetAttribute` | `WA_WState_Hidden`
`static Qt.WidgetAttribute` | `WA_WState_InPaintEvent`
`static Qt.WidgetAttribute` | `WA_WState_OwnSizePolicy`
`static Qt.WidgetAttribute` | `WA_WState_Polished`
`static Qt.WidgetAttribute` | `WA_WState_Reparented`
`static Qt.WidgetAttribute` | `WA_WState_Visible`
`static Qt.WidgetAttribute` | `WA_X11BypassTransientForHint`
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeCombo` Adds `_NET_WM_WINDOW_TYPE_COMBO` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeDesktop` Adds `_NET_WM_WINDOW_TYPE_DESKTOP` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeDialog` Adds `_NET_WM_WINDOW_TYPE_DIALOG` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeDND` Adds `_NET_WM_WINDOW_TYPE_DND` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeDock` Adds `_NET_WM_WINDOW_TYPE_DOCK` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeDropDownMenu` Adds `_NET_WM_WINDOW_TYPE_DROPDOWN_MENU` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeMenu` Adds `_NET_WM_WINDOW_TYPE_MENU` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeNotification` Adds `_NET_WM_WINDOW_TYPE_NOTIFICATION` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypePopupMenu` Adds `_NET_WM_WINDOW_TYPE_POPUP_MENU` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeSplash` Adds `_NET_WM_WINDOW_TYPE_SPLASH` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeToolBar` Adds `_NET_WM_WINDOW_TYPE_TOOLBAR` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeToolTip` Adds `_NET_WM_WINDOW_TYPE_TOOLTIP` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11NetWmWindowTypeUtility` Adds `_NET_WM_WINDOW_TYPE_UTILITY` to the window's `_NET_WM_WINDOW_TYPE` X11 window property.
`static Qt.WidgetAttribute` | `WA_X11OpenGLOverlay`

Method Summary
`static Qt.WidgetAttribute` | `resolve(int value)` Returns the WidgetAttribute constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.WidgetAttribute` | `valueOf(java.lang.String name)`
`static Qt.WidgetAttribute[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WA_Disabled

    public static final Qt.WidgetAttribute WA_Disabled

  Indicates that the widget is disabled, i.e. it does not receive any mouse or keyboard events. There is also a getter functions `QWidget::isEnabled()`. This is set/cleared by the Qt kernel.

### WA_UnderMouse

    public static final Qt.WidgetAttribute WA_UnderMouse

  Indicates that the widget is under the mouse cursor. The value is not updated correctly during drag and drop operations. There is also a getter function `QWidget::underMouse()`. This is set/cleared by the Qt kernel.

### WA_MouseTracking

    public static final Qt.WidgetAttribute WA_MouseTracking

  Indicates that the widget has mouse tracking enabled. See `QWidget::mouseTracking`.

### WA_ContentsPropagated

    public static final Qt.WidgetAttribute WA_ContentsPropagated

  This flag is superfluous and obsolete; it no longer has any effect. Since Qt 4.1, all widgets that do not set `WA_PaintOnScreen` propagate their contents.

### WA_OpaquePaintEvent

    public static final Qt.WidgetAttribute WA_OpaquePaintEvent

  Indicates that the widget paints all its pixels when it receives a paint event. It is thus not required for operations like updating, resizing, scrolling and focus changes to erase the widget before generating paint events. Using `WA_OpaquePaintEvent` is a small optimization. It can help to reduce flicker on systems that do not provide double buffer support, and it avoids the computational cycles necessary to erase the background prior to paint. Note: Unlike `WA_NoSystemBackground` , `WA_OpaquePaintEvent` makes an effort to avoid transparent window backgrounds. This is set/cleared by the widget's author.

### WA_StaticContents

    public static final Qt.WidgetAttribute WA_StaticContents

  Indicates that the widget contents are north-west aligned and static. On resize, such a widget will receive paint events only for the newly visible part of itself. This is set/cleared by the widget's author.

### WA_LaidOut

    public static final Qt.WidgetAttribute WA_LaidOut

### WA_PaintOnScreen

    public static final Qt.WidgetAttribute WA_PaintOnScreen

  Indicates that the widget wants to draw directly onto the screen. Widgets with this attribute set do not participate in composition management, i.e. they cannot be semi-transparent or shine through semi-transparent overlapping widgets. This is only supported on X11. On Qt for Embedded Linux, the flag currently only works when set on a top-level widget and relies on support from the active screen driver. The flag is set or cleared by the widget's author. For rendering outside of Qt's paint system; e.g. if you need to use native X11 painting primitives, you need to reimplement `QWidget::paintEngine()` to return 0 and set this flag. Note: This flag disables double buffering.

### WA_NoSystemBackground

    public static final Qt.WidgetAttribute WA_NoSystemBackground

  Indicates that the widget has no background, i.e. when the widget receives paint events, the background is not automatically repainted. Note: Unlike `WA_OpaquePaintEvent` , newly exposed areas are never filled with the background (e.g after showing a window for the first time the user can see "through" it until the application processes the paint events). This is set/cleared by the widget's author.

### WA_UpdatesDisabled

    public static final Qt.WidgetAttribute WA_UpdatesDisabled

  Indicates that updates are blocked (including the system background). This flag must never be set/cleared by the widget author. It is set/cleared by the Qt kernel.

### WA_Mapped

    public static final Qt.WidgetAttribute WA_Mapped

  Indicates that the widget is mapped on screen. This is set/cleared by the Qt kernel.

### WA_MacNoClickThrough

    public static final Qt.WidgetAttribute WA_MacNoClickThrough

  Indicates that the window is only activated when clicked.

### WA_PaintOutsidePaintEvent

    public static final Qt.WidgetAttribute WA_PaintOutsidePaintEvent

  Makes it possible to use `QPainter` to paint on the widget outside `paintEvent()`. This is not supported on Windows, Mac OS X or Embedded Linux. We recommend that you use this attribute only when porting Qt 3 code to Qt 4.

### WA_InputMethodEnabled

    public static final Qt.WidgetAttribute WA_InputMethodEnabled

  Enables input methods for Asian languages. Must be set when creating custom text editing widgets.

### WA_WState_Visible

    public static final Qt.WidgetAttribute WA_WState_Visible

### WA_WState_Hidden

    public static final Qt.WidgetAttribute WA_WState_Hidden

### WA_ForceDisabled

    public static final Qt.WidgetAttribute WA_ForceDisabled

  Indicates that the widget is explicitly disabled, i.e. it will remain disabled even when all its ancestors are set to the enabled state. This implies `WA_Disabled` . This is set/cleared by `QWidget::setEnabled()` and `QWidget::setDisabled()`.

### WA_KeyCompression

    public static final Qt.WidgetAttribute WA_KeyCompression

  Enables key event compression if set, and disables it if not set. By default key compression is off, so widgets receive one key press event for each key press (or more, since autorepeat is usually on). If you turn it on and your program doesn't keep up with key input, Qt may try to compress key events so that more than one character can be processed in each event. For example, a word processor widget might receive 2, 3 or more characters in each `QKeyEvent::text()`, if the layout recalculation takes too long for the CPU. If a widget supports multiple character unicode input, it is always safe to turn the compression on. Qt performs key event compression only for printable characters. `Qt::Modifier` keys, cursor movement keys, function keys and miscellaneous action keys (e.g. Escape, Enter, Backspace, `PrintScreen` ) will stop key event compression, even if there are more compressible key events available. Platforms other than Mac and X11 do not support this compression, in which case turning it on will have no effect. This is set/cleared by the widget's author.

### WA_PendingMoveEvent

    public static final Qt.WidgetAttribute WA_PendingMoveEvent

  Indicates that a move event is pending, e.g. when a hidden widget was moved. This is set/cleared by the Qt kernel.

### WA_PendingResizeEvent

    public static final Qt.WidgetAttribute WA_PendingResizeEvent

  Indicates that a resize event is pending, e.g. when a hidden widget was resized. This is set/cleared by the Qt kernel.

### WA_SetPalette

    public static final Qt.WidgetAttribute WA_SetPalette

  Indicates that the widget has a palette of its own. This is set/cleared by `QWidget::setPalette()`.

### WA_SetFont

    public static final Qt.WidgetAttribute WA_SetFont

  Indicates that the widget has a font of its own. This is set/cleared by `QWidget::setFont()`.

### WA_SetCursor

    public static final Qt.WidgetAttribute WA_SetCursor

  Indicates that the widget has a cursor of its own. This is set/cleared by `QWidget::setCursor()` and `QWidget::unsetCursor()`.

### WA_NoChildEventsFromChildren

    public static final Qt.WidgetAttribute WA_NoChildEventsFromChildren

  Indicates that the widget does not want to receive `ChildAdded` or `ChildRemoved` events sent from its children. This is set by a widget's author.

### WA_WindowModified

    public static final Qt.WidgetAttribute WA_WindowModified

  Indicates that the window is marked as modified. On some platforms this will mean nothing, on others (including Mac OS X and Windows) the window will take a modified appearance. This is set/cleared by `QWidget::setWindowModified()`.

### WA_Resized

    public static final Qt.WidgetAttribute WA_Resized

  Indicates that the widget has an explicit size. This is set/cleared by `QWidget::resize()` and by `QWidget::setGeometry()`.

### WA_Moved

    public static final Qt.WidgetAttribute WA_Moved

  Indicates that the widget has an explicit position. This is set/cleared by `QWidget::move()` and by `QWidget::setGeometry()`.

### WA_PendingUpdate

    public static final Qt.WidgetAttribute WA_PendingUpdate

### WA_InvalidSize

    public static final Qt.WidgetAttribute WA_InvalidSize

### WA_MacBrushedMetal

    public static final Qt.WidgetAttribute WA_MacBrushedMetal

  Indicates the widget should be drawn in the brushed metal style as supported by the windowing system. This attribute is only applicable to Mac OS X.

### WA_CustomWhatsThis

    public static final Qt.WidgetAttribute WA_CustomWhatsThis

  Indicates that the widget wants to continue operating normally in "What's This?" mode. This is set by the widget's author.

### WA_LayoutOnEntireRect

    public static final Qt.WidgetAttribute WA_LayoutOnEntireRect

  Indicates that the widget wants `QLayout` to operate on the entire `QWidget::rect()`, not only on `QWidget::contentsRect()`. This is set by the widget's author.

### WA_OutsideWSRange

    public static final Qt.WidgetAttribute WA_OutsideWSRange

  Indicates that the widget is outside the valid range of the window system's coordinate system. A widget outside the valid range cannot be mapped on screen. This is set/cleared by the Qt kernel.

### WA_GrabbedShortcut

    public static final Qt.WidgetAttribute WA_GrabbedShortcut

### WA_TransparentForMouseEvents

    public static final Qt.WidgetAttribute WA_TransparentForMouseEvents

### WA_PaintUnclipped

    public static final Qt.WidgetAttribute WA_PaintUnclipped

  Makes all painters operating on this widget unclipped. Children of this widget or other widgets in front of it do not clip the area the painter can paint on. This flag is only supported for widgets for which the `WA_PaintOnScreen` flag is set. The preferred way to do this in a cross platform way is to create a transparent widget that lies in front of the other widgets.

### WA_SetWindowIcon

    public static final Qt.WidgetAttribute WA_SetWindowIcon

### WA_NoMouseReplay

    public static final Qt.WidgetAttribute WA_NoMouseReplay

  Used for pop-up widgets. Indicates that the most recent mouse press event should not be replayed when the pop-up widget closes. The flag is set by the widget's author and cleared by the Qt kernel every time the widget receives a new mouse event.

### WA_DeleteOnClose

    public static final Qt.WidgetAttribute WA_DeleteOnClose

  Makes Qt delete this widget when the widget has accepted the close event (see `QWidget::closeEvent()`).

### WA_RightToLeft

    public static final Qt.WidgetAttribute WA_RightToLeft

  Indicates that the layout direction for the widget is right to left.

### WA_SetLayoutDirection

    public static final Qt.WidgetAttribute WA_SetLayoutDirection

### WA_NoChildEventsForParent

    public static final Qt.WidgetAttribute WA_NoChildEventsForParent

  Indicates that the widget does not want `ChildAdded` or `ChildRemoved` events sent to its parent. This is rarely necessary but can help to avoid automatic insertion widgets like splitters and layouts. This is set by a widget's author.

### WA_ForceUpdatesDisabled

    public static final Qt.WidgetAttribute WA_ForceUpdatesDisabled

  Indicates that updates are explicitly disabled for the widget; i.e. it will remain disabled even when all its ancestors are set to the updates-enabled state. This implies `WA_UpdatesDisabled` . This is set/cleared by `QWidget::setUpdatesEnabled()`.

### WA_WState_Created

    public static final Qt.WidgetAttribute WA_WState_Created

### WA_WState_CompressKeys

    public static final Qt.WidgetAttribute WA_WState_CompressKeys

### WA_WState_InPaintEvent

    public static final Qt.WidgetAttribute WA_WState_InPaintEvent

### WA_WState_Reparented

    public static final Qt.WidgetAttribute WA_WState_Reparented

### WA_WState_ConfigPending

    public static final Qt.WidgetAttribute WA_WState_ConfigPending

### WA_WState_Polished

    public static final Qt.WidgetAttribute WA_WState_Polished

### WA_WState_DND

    public static final Qt.WidgetAttribute WA_WState_DND

### WA_WState_OwnSizePolicy

    public static final Qt.WidgetAttribute WA_WState_OwnSizePolicy

### WA_WState_ExplicitShowHide

    public static final Qt.WidgetAttribute WA_WState_ExplicitShowHide

### WA_ShowModal

    public static final Qt.WidgetAttribute WA_ShowModal

  This attribute has been deprecated. Use `QWidget::windowModality` instead.

### WA_MouseNoMask

    public static final Qt.WidgetAttribute WA_MouseNoMask

  Makes the widget receive mouse events for the entire widget regardless of the currently set mask, overriding `QWidget::setMask()`. This is not applicable for top-level windows.

### WA_GroupLeader

    public static final Qt.WidgetAttribute WA_GroupLeader

  This attribute has been deprecated. Use `QWidget::windowModality` instead.

### WA_NoMousePropagation

    public static final Qt.WidgetAttribute WA_NoMousePropagation

  Prohibits mouse events from being propagated to the widget's parent.

### WA_Hover

    public static final Qt.WidgetAttribute WA_Hover

  Forces Qt to generate paint events when the mouse enters or leaves the widget. This feature is typically used when implementing custom styles; see the Styles example for details.

### WA_InputMethodTransparent

    public static final Qt.WidgetAttribute WA_InputMethodTransparent

### WA_QuitOnClose

    public static final Qt.WidgetAttribute WA_QuitOnClose

  Makes Qt quit the application when the last widget with the attribute set has accepted `closeEvent()` . This behavior can be adjusted with the `QApplication::quitOnLastWindowClosed` property. By default the attribute is set for all widgets of type `Qt::Window` .

### WA_KeyboardFocusChange

    public static final Qt.WidgetAttribute WA_KeyboardFocusChange

  Set on a toplevel window when the users changes focus with the keyboard (tab, backtab, or shortcut).

### WA_AcceptDrops

    public static final Qt.WidgetAttribute WA_AcceptDrops

  Allows data from drag and drop operations to be dropped onto the widget (see `QWidget.:setAcceptDrops()`).

### WA_DropSiteRegistered

    public static final Qt.WidgetAttribute WA_DropSiteRegistered

### WA_WindowPropagation

    public static final Qt.WidgetAttribute WA_WindowPropagation

  Makes a toplevel window inherit font and palette from its parent.

### WA_NoX11EventCompression

    public static final Qt.WidgetAttribute WA_NoX11EventCompression

### WA_TintedBackground

    public static final Qt.WidgetAttribute WA_TintedBackground

### WA_X11OpenGLOverlay

    public static final Qt.WidgetAttribute WA_X11OpenGLOverlay

### WA_AlwaysShowToolTips

    public static final Qt.WidgetAttribute WA_AlwaysShowToolTips

  Enables tooltips for inactive windows.

### WA_MacOpaqueSizeGrip

    public static final Qt.WidgetAttribute WA_MacOpaqueSizeGrip

  Indicates that the native Carbon size grip should be opaque instead of transparent (the default). This attribute is only applicable to Mac OS X and is set by the widget's author.

### WA_SetStyle

    public static final Qt.WidgetAttribute WA_SetStyle

  Indicates that the widget has a style of its own. This is set/cleared by `QWidget::setStyle()`.

### WA_SetLocale

    public static final Qt.WidgetAttribute WA_SetLocale

  Indicates the local should be taken into consideration in the widget.

### WA_MacShowFocusRect

    public static final Qt.WidgetAttribute WA_MacShowFocusRect

  Indicates that this widget should get a `QFocusFrame` around it. Some widgets draw their own focus halo regardless of this attribute. Not that the `QWidget::focusPolicy` also plays the main role in whether something is given focus or not, this only controls whether or not this gets the focus frame. This attribute is only applicable to Mac OS X.

### WA_MacNormalSize

    public static final Qt.WidgetAttribute WA_MacNormalSize

  Indicates the widget should have the normal size for widgets in Mac OS X. This attribute is only applicable to Mac OS X.

### WA_MacSmallSize

    public static final Qt.WidgetAttribute WA_MacSmallSize

  Indicates the widget should have the small size for widgets in Mac OS X. This attribute is only applicable to Mac OS X.

### WA_MacMiniSize

    public static final Qt.WidgetAttribute WA_MacMiniSize

  Indicates the widget should have the mini size for widgets in Mac OS X. This attribute is only applicable to Mac OS X.

### WA_LayoutUsesWidgetRect

    public static final Qt.WidgetAttribute WA_LayoutUsesWidgetRect

  Ignore the layout item rect from the style when laying out this widget with `QLayout`. This makes a difference in QMacStyle and `QPlastiqueStyle` for some widgets.

### WA_StyledBackground

    public static final Qt.WidgetAttribute WA_StyledBackground

  Indicates the widget should be drawn using a styled background.

### WA_MSWindowsUseDirect3D

    public static final Qt.WidgetAttribute WA_MSWindowsUseDirect3D

  Makes drawing to a widget with this attribute set use the `Direct3D` paint engine, if the `Direct3D` paint engine is available. This functionality is experimental.

### WA_CanHostQMdiSubWindowTitleBar

    public static final Qt.WidgetAttribute WA_CanHostQMdiSubWindowTitleBar

### WA_MacAlwaysShowToolWindow

    public static final Qt.WidgetAttribute WA_MacAlwaysShowToolWindow

  On Mac OS X, show the tool window even when the application is not active. By default, all tool windows are hidden when the application is inactive.

### WA_StyleSheet

    public static final Qt.WidgetAttribute WA_StyleSheet

  Indicates that the widget is styled using a style sheet.

### WA_ShowWithoutActivating

    public static final Qt.WidgetAttribute WA_ShowWithoutActivating

  Show the widget without making it active.

### WA_X11BypassTransientForHint

    public static final Qt.WidgetAttribute WA_X11BypassTransientForHint

### WA_NativeWindow

    public static final Qt.WidgetAttribute WA_NativeWindow

  Indicates that a native window is created for the widget. Enabling this will also force a native window for the widget's ancestors unless `Qt::WA_DontCreateNativeAncestors` is set.

### WA_DontCreateNativeAncestors

    public static final Qt.WidgetAttribute WA_DontCreateNativeAncestors

  Indicates that the widget's ancestors are kept non-native even though the widget itself is native.

### WA_MacVariableSize

    public static final Qt.WidgetAttribute WA_MacVariableSize

  Indicates the widget can choose between alternative sizes for widgets to avoid clipping. This attribute is only applicable to Mac OS X.

### WA_DontShowOnScreen

    public static final Qt.WidgetAttribute WA_DontShowOnScreen

### WA_X11NetWmWindowTypeDesktop

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeDesktop

  Adds `_NET_WM_WINDOW_TYPE_DESKTOP` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms.

### WA_X11NetWmWindowTypeDock

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeDock

  Adds `_NET_WM_WINDOW_TYPE_DOCK` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms.

### WA_X11NetWmWindowTypeToolBar

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeToolBar

  Adds `_NET_WM_WINDOW_TYPE_TOOLBAR` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automaticaly sets this attribute for `QToolBar`.

### WA_X11NetWmWindowTypeMenu

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeMenu

  Adds `_NET_WM_WINDOW_TYPE_MENU` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for `QMenu` when torn-off.

### WA_X11NetWmWindowTypeUtility

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeUtility

  Adds `_NET_WM_WINDOW_TYPE_UTILITY` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for the `Qt::Tool` window type.

### WA_X11NetWmWindowTypeSplash

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeSplash

  Adds `_NET_WM_WINDOW_TYPE_SPLASH` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for the `Qt::SplashScreen` window type.

### WA_X11NetWmWindowTypeDialog

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeDialog

  Adds `_NET_WM_WINDOW_TYPE_DIALOG` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for the `Qt::Dialog` and `Qt::Sheet` window types.

### WA_X11NetWmWindowTypeDropDownMenu

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeDropDownMenu

  Adds `_NET_WM_WINDOW_TYPE_DROPDOWN_MENU` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for `QMenus` added to a `QMenuBar`.

### WA_X11NetWmWindowTypePopupMenu

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypePopupMenu

  Adds `_NET_WM_WINDOW_TYPE_POPUP_MENU` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for `QMenu`.

### WA_X11NetWmWindowTypeToolTip

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeToolTip

  Adds `_NET_WM_WINDOW_TYPE_TOOLTIP` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for the `Qt::ToolTip` window type.

### WA_X11NetWmWindowTypeNotification

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeNotification

  Adds `_NET_WM_WINDOW_TYPE_NOTIFICATION` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms.

### WA_X11NetWmWindowTypeCombo

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeCombo

  Adds `_NET_WM_WINDOW_TYPE_COMBO` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute for the `QComboBox` pop-up.

### WA_X11NetWmWindowTypeDND

    public static final Qt.WidgetAttribute WA_X11NetWmWindowTypeDND

  Adds `_NET_WM_WINDOW_TYPE_DND` to the window's `_NET_WM_WINDOW_TYPE` X11 window property. See http://standards.freedesktop.org/wm-spec/ for more details. This attribute has no effect on non-X11 platforms. Note that Qt automatically sets this attribute on the feedback widget used during a drag.

### WA_AttributeCount

    public static final Qt.WidgetAttribute WA_AttributeCount

Method Detail

### values

    public static Qt.WidgetAttribute[] values()

### valueOf

    public static Qt.WidgetAttribute valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.WidgetAttribute resolve(int value)

  Returns the WidgetAttribute constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD